/**
 * @headerfile math.h <rc/math.h>
 *
 * @brief catch-all include for the RC math library functions
 *
 *             Developed and tested on the BeagleBone Black but should work fine
 *             on any Linux system.
 *
 * @author     James Strawson
 *
 * @date       1/19/2018
 */

#ifndef RC_MATH_H
#define RC_MATH_H

#include <rc/math/algebra.h>
#include <rc/math/filter.h>
#include <rc/math/kalman.h>
#include <rc/math/matrix.h>
#include <rc/math/other.h>
#include <rc/math/polynomial.h>
#include <rc/math/quaternion.h>
#include <rc/math/ring_buffer.h>
#include <rc/math/vector.h>

#endif // RC_MATH_H
